# psploadcore.h File Reference

`#include <pspkerneltypes.h>`

Include dependency graph for psploadcore.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SceModule
| Describes a module. More...
struct | SceLibraryEntryTable
| Defines a library and its exported functions and variables. More...
struct | SceLibraryStubTable
| Specifies a library and a set of imports from that library. More...

## Typedefs

typedef SceModule | SceModule
| Describes a module.
typedef SceLibraryEntryTable | SceLibraryEntryTable
| Defines a library and its exported functions and variables.
typedef SceLibraryStubTable | SceLibraryStubTable
| Specifies a library and a set of imports from that library.

## Functions

SceModule * | sceKernelFindModuleByName (const char *modname)
| Find a module by it's name.
SceModule * | sceKernelFindModuleByAddress (unsigned int addr)
| Find a module from an address.
SceModule * | sceKernelFindModuleByUID (SceUID modid)
| Find a module by it's UID.
int | sceKernelModuleCount (void)
| Return the count of loaded modules.
void | sceKernelIcacheClearAll (void)
| Invalidate the CPU's instruction cache.